# Class GameStats

- Defined in src/system/game-stats.ts:4

#####
Index

### Constructors

constructor

### Properties

battles
classicSessionsPlayed
dailyRunSessionsPlayed
dailyRunSessionsWon
eggsPulled
endlessSessionsPlayed
epicEggsPulled
highestDamage
highestEndlessWave
highestHeal
highestLevel
highestMoney
legendaryEggsPulled
legendaryPokemonCaught
legendaryPokemonHatched
legendaryPokemonSeen
manaphyEggsPulled
mythicalPokemonCaught
mythicalPokemonHatched
mythicalPokemonSeen
playTime
pokemonCaught
pokemonDefeated
pokemonFused
pokemonHatched
pokemonSeen
rareEggsPulled
ribbonsOwned
sessionsWon
shinyPokemonCaught
shinyPokemonHatched
shinyPokemonSeen
subLegendaryPokemonCaught
subLegendaryPokemonHatched
subLegendaryPokemonSeen
trainersDefeated

## Constructors

### constructor

- new GameStats(source?): GameStats

- #### Parameters

  - `Optional` source: any

  #### Returns GameStats

  - Defined in src/system/game-stats.ts:42

## Properties

### battles

battles: number

- Defined in src/system/game-stats.ts:6

### classicSessionsPlayed

classicSessionsPlayed: number

- Defined in src/system/game-stats.ts:7

### dailyRunSessionsPlayed

dailyRunSessionsPlayed: number

- Defined in src/system/game-stats.ts:10

### dailyRunSessionsWon

dailyRunSessionsWon: number

- Defined in src/system/game-stats.ts:11

### eggsPulled

eggsPulled: number

- Defined in src/system/game-stats.ts:36

### endlessSessionsPlayed

endlessSessionsPlayed: number

- Defined in src/system/game-stats.ts:12

### epicEggsPulled

epicEggsPulled: number

- Defined in src/system/game-stats.ts:38

### highestDamage

highestDamage: number

- Defined in src/system/game-stats.ts:16

### highestEndlessWave

highestEndlessWave: number

- Defined in src/system/game-stats.ts:13

### highestHeal

highestHeal: number

- Defined in src/system/game-stats.ts:17

### highestLevel

highestLevel: number

- Defined in src/system/game-stats.ts:14

### highestMoney

highestMoney: number

- Defined in src/system/game-stats.ts:15

### legendaryEggsPulled

legendaryEggsPulled: number

- Defined in src/system/game-stats.ts:39

### legendaryPokemonCaught

legendaryPokemonCaught: number

- Defined in src/system/game-stats.ts:26

### legendaryPokemonHatched

legendaryPokemonHatched: number

- Defined in src/system/game-stats.ts:27

### legendaryPokemonSeen

legendaryPokemonSeen: number

- Defined in src/system/game-stats.ts:25

### manaphyEggsPulled

manaphyEggsPulled: number

- Defined in src/system/game-stats.ts:40

### mythicalPokemonCaught

mythicalPokemonCaught: number

- Defined in src/system/game-stats.ts:29

### mythicalPokemonHatched

mythicalPokemonHatched: number

- Defined in src/system/game-stats.ts:30

### mythicalPokemonSeen

mythicalPokemonSeen: number

- Defined in src/system/game-stats.ts:28

### playTime

playTime: number

- Defined in src/system/game-stats.ts:5

### pokemonCaught

pokemonCaught: number

- Defined in src/system/game-stats.ts:20

### pokemonDefeated

pokemonDefeated: number

- Defined in src/system/game-stats.ts:19

### pokemonFused

pokemonFused: number

- Defined in src/system/game-stats.ts:34

### pokemonHatched

pokemonHatched: number

- Defined in src/system/game-stats.ts:21

### pokemonSeen

pokemonSeen: number

- Defined in src/system/game-stats.ts:18

### rareEggsPulled

rareEggsPulled: number

- Defined in src/system/game-stats.ts:37

### ribbonsOwned

ribbonsOwned: number

- Defined in src/system/game-stats.ts:9

### sessionsWon

sessionsWon: number

- Defined in src/system/game-stats.ts:8

### shinyPokemonCaught

shinyPokemonCaught: number

- Defined in src/system/game-stats.ts:32

### shinyPokemonHatched

shinyPokemonHatched: number

- Defined in src/system/game-stats.ts:33

### shinyPokemonSeen

shinyPokemonSeen: number

- Defined in src/system/game-stats.ts:31

### subLegendaryPokemonCaught

subLegendaryPokemonCaught: number

- Defined in src/system/game-stats.ts:23

### subLegendaryPokemonHatched

subLegendaryPokemonHatched: number

- Defined in src/system/game-stats.ts:24

### subLegendaryPokemonSeen

subLegendaryPokemonSeen: number

- Defined in src/system/game-stats.ts:22

### trainersDefeated

trainersDefeated: number

- Defined in src/system/game-stats.ts:35